import request from '@/utils/request'

// 查询用户积分详情列表
export function listMemberScore(query) {
  return request({
    url: '/hezhi/memberScore/list',
    method: 'get',
    params: query
  })
}

// 查询用户积分详情详细
export function getMemberScore(memberScoreId) {
  return request({
    url: '/hezhi/memberScore/' + memberScoreId,
    method: 'get'
  })
}

// 新增用户积分详情
export function addMemberScore(data) {
  return request({
    url: '/hezhi/memberScore',
    method: 'post',
    data: data
  })
}

// 修改用户积分详情
export function updateMemberScore(data) {
  return request({
    url: '/hezhi/memberScore',
    method: 'put',
    data: data
  })
}

// 删除用户积分详情
export function delMemberScore(memberScoreId) {
  return request({
    url: '/hezhi/memberScore/' + memberScoreId,
    method: 'delete'
  })
}
